<template>
	<div id="app">
		<common ref="common" @asynCallBack="asynCallBack"></common>
		<top-header :pageTitle="pageTitle"></top-header>

		<div class="mui-content">
			<div class="vongi-icons vongi-all">
				<div v-for="(iten,indey) in fun_list">
					<h4 v-text="iten.name"></h4>
					<ul class="mui-table-view mui-grid-view mui-grid-9">
						<li v-for="(item,index) in iten.list" :class="'mui-table-view-cell mui-media mui-col-xs-3 '+(item.iconRoute?'':'kfz')">
							<router-link :to="{name:item.iconRoute,query:item.iconParam}">
								<img :src="requirePic(item.iconPic)" />
								<div class="mui-media-body" v-text="item.iconName"></div>
							</router-link>
						</li>
					</ul>
				</div>
			</div>
		</div>
		
		<loading :visible="isLoading"></loading>
	</div>
</template>

<script>
	import Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import TopHeader from '$project/components/TopHeader.vue'
	import NavMenu from '@/components/NavMenu.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'
	export default {
		name: 'MasterAllFun',
		components: {
			Common,
			Loading,
			TopHeader,
			NavMenu
		},
		data() {
			return {
				isLoading: false,

				pageTitle: '全部应用',
			}
		},
		created() {},
		methods: {
			//引入图片
			requirePic(file) {
                if (file) {
                    if (file.indexOf('http') == 0) {
                        return file;
                    } else {
                        return require('$project/assets/img/' + file);
                    }
                }
			},
			asynCallBack() {

			},
		},
		mounted() {},
		destroyed() {

		},
		computed: {
			...mapGetters({
				openId: 'wx_openid',
				token: 'token',
				person_data: 'person_data',
				person_popedom: 'person_popedom',
				fun_list: 'fun_list'
			})
		}
	}
</script>


<style scoped src="$project/assets/css/xpgj.css"></style>
<style>
</style>
